
Foreman - Bug #11818

Update match routes to GET

09/15/2015 06:59 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Rails   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2722

  

Description

Some of our routes use match when they really mean just 'get'. Rails 4 forces us to choose a verb, and we can do this already on

Rails 3.

Related issues:

Related to Foreman - Tracker #3157: Rails 4.1 upgrade tasks Closed 09/27/2013

Associated revisions

Revision 0e7ea7c4 - 09/17/2015 02:23 AM - Daniel Lobato Garcia

Fixes #11818 - Update match routes to get

Some of our routes use match when they really mean just 'get'. Rails 4

forces us to choose a verb, and we can do this already on Rails 3.

History

#1 - 09/15/2015 06:59 AM - Daniel Lobato Garcia

- Related to Tracker #3157: Rails 4.1 upgrade tasks added

#2 - 09/15/2015 07:00 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2722 added

- Pull request deleted ()

#3 - 09/17/2015 03:02 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0e7ea7c49f3d0ad709b5d9b89677ca9d4887e237.

#4 - 09/17/2015 03:04 AM - Ohad Levy

- translation missing: en.field_release set to 63

#5 - 09/17/2015 03:07 AM - Dominic Cleal

- Category set to Rails

- Assignee set to Daniel Lobato Garcia
